CRYPTO_SHASH_FINAL(9)

NAME
crypto_shash_final - calculate message digest

SYNOPSIS

int crypto_shash_final(struct shash_desc * desc, u8 * out);

ARGUMENTS

desc
    operational state handle that is already filled with data

out
    output buffer filled with the message digest

DESCRIPTION

Finalize the message digest operation and create the message digest based on all data added to the cipher handle. The message digest is placed into the output buffer. The caller must ensure that the output buffer is large enough by using crypto_shash_digestsize.

RETURN

0 if the message digest creation was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT